import { Grid } from './';
import { Rectangle, FullRect, XAlignment, YAlignment, FittedPosition } from './types';
export interface RingsideInterface {
    positions(): FittedPosition[];
}
declare class Ringside implements RingsideInterface {
    readonly height: number;
    readonly width: number;
    readonly innerBounds: FullRect;
    readonly outerBounds: FullRect;
    readonly grid: Grid;
    constructor(innerBounds: Rectangle, outerBounds: Rectangle, height: number, width: number);
    positions(): {
        top: number;
        left: number;
        height: number;
        width: number;
        originLeft: number;
        originTop: number;
        xAlign: XAlignment;
        yAlign: YAlignment;
        xBasis: number;
        yBasis: number;
        fits: boolean;
    }[];
    private fits(position);
}
export default Ringside;
