export interface Rectangle {
    height: number;
    width: number;
    left: number;
    top: number;
}
export interface FullRect extends Rectangle {
    bottom: number;
    right: number;
}
export declare enum XAlignment {
    START = 0,
    CENTER = 0.5,
    END = 1,
}
export declare enum YAlignment {
    TOP = 0,
    MIDDLE = 0.5,
    BOTTOM = 1,
}
export declare enum XBasis {
    OUTER_LEFT = 0,
    INNER_LEFT = 1,
    INNER_RIGHT = 2,
    OUTER_RIGHT = 3,
}
export declare enum YBasis {
    OUTER_TOP = 0,
    INNER_TOP = 1,
    INNER_BOTTOM = 2,
    OUTER_BOTTOM = 3,
}
export interface Position extends Rectangle {
    xAlign: XAlignment;
    yAlign: YAlignment;
}
export interface FittedPosition extends Position {
    fits: boolean;
    xBasis: XBasis;
    yBasis: YBasis;
}
